View Issue Details

IDProjectCategoryView StatusLast Update
0000488Pgpool-IIBugpublic2019-05-04 04:12
ReportersivaAssigned Topengbo 
PriorityimmediateSeverityblockReproducibilityhave not tried
Status feedbackResolutionopen 
Product Version3.7.8 
Target VersionFixed in Version 
Summary0000488: write on backend 0 failed with error :"Success" - pgpool:3.7.8
DescriptionHi t-ishii/Team,

Thanks a lot you , you are doing an amazing jobs and helping the peoples like me to cross major huddles in our projects. Thank you very much.

Issue is : write on backend 0 failed with error :"Success"..

I have referred the doc and previous bugs which are related to this issue . The suggestion is to upgrade to 3.7. We are already using version 3.7.8, still we are getting this issue.

Below are the details i got from previous issues ("https://www.pgpool.net/mantisbt/view.php?id=403" )which has shared by "t-ishii'

Download the file and save it as /tmp/write.diff
cd pgpool-II-3.6.5
patch -b -p1 < /tmp/write.diff
./configure ....
make
make install

Q) .Currently we are using 3.7.8 , I thing it is already included in 3.7.8. Can we again apply same patch file on 3.7.8?
Q). I have installed pgpool server using rpm pgpool-II-pg96 , Can we apply only the patch on top of the rpm without re config entire setup if yes , please share the process to apply the patch without re config entire setup .
Q). is "patch" binary is available with pgpool-II-pg96 to apply the patch file ? or if not please share the location to install patch tool for applying this patch file(write.diff)..

Q). In worst case, is i have to uninstall pgpool 3.7.8 and again install 3.7.8 along with patch file as per above suggested way( is might help , because this issue is still happening in 3.7.8))? or better to go for next version ? If version is the solution , please suggest what is the current stable versions , so that we can directly install latest version and use the same.

Please share your inputs , currently this is causing major issues in our environment and holding all activities.

Once again thanks a lot for your support.


 
TagsNo tags attached.

Activities

siva

2019-03-30 23:03

reporter  

pengbo

2019-04-01 16:56

developer   ~0002494

Actually that patch is already released in 3.7.x.
https://git.postgresql.org/gitweb/?p=pgpool2.git;a=commit;h=17be8d4b9eca0829341b2ecc9d1bf655d161e801

Is this issue reproduced in Pgpool-II 3.7.8?
If it can be reproduced, could you provide the debug log of Pgpool-II.

siva

2019-04-02 14:17

reporter   ~0002499

Hi Pengbo,

Good Morning,

Actually that patch is already released in 3.7.x.
https://git.postgresql.org/gitweb/?p=pgpool2.git;a=commit;h=17be8d4b9eca0829341b2ecc9d1bf655d161e801
> yes , already in 3.7.x, we are using 3.7.8 and i am not sure why this issue again appear 3.7.8

Is this issue reproduced in Pgpool-II 3.7.8?
> I am not sure how to reproduce this issues , please let me know how to reproduce the issue.

We have 2 pgpool servers , both are running same version( Master and Slave), we are facing this issue on Master server only .
Please suggest us the current plan of action to fix this issue....

Also please comment on below questions:

Q) .Currently we are using 3.7.8 , I thing it is already included in 3.7.8. Can we again apply same patch file on 3.7.8?
Q). I have installed pgpool server using rpm pgpool-II-pg96 , Can we apply only the patch on top of the rpm without re config entire setup if yes , please share the process to apply the patch without re config entire setup .
Q). is "patch" binary is available with pgpool-II-pg96 to apply the patch file ? or if not please share the location to install patch tool for applying this patch file(write.diff)..

Q). In worst case, is i have to uninstall pgpool 3.7.8 and again install 3.7.8 along with patch file as per above suggested way( is might help , because this issue is still happening in 3.7.8))? or better to go for next version ? If version is the solution , please suggest what is the current stable versions , so that we can directly install latest version and use the same.

Thanks for your support?..

siva

2019-04-03 19:26

reporter   ~0002513

Hi Pengbo,

Good AfterNoon,

Could you please suggest on above issue.

Thank you.

pengbo

2019-04-04 14:33

developer   ~0002516

Last edited: 2019-04-04 14:33

View 2 revisions

Because it is already included in 3.7.8, you don't need to apply this patch.

siva

2019-04-04 15:19

reporter   ~0002517

Thanks pengbo,

understood, but still we are getting this issue , what is the solution for this?

Thanks for your help.

pengbo

2019-04-04 15:26

developer   ~0002519

Could you provide a debug log of pgpool and how can I reproduce this issue?

siva

2019-04-05 22:23

reporter   ~0002525

Hi pengbo,

Sure i will share the debug log...

Thank you..

siva

2019-04-12 19:55

reporter   ~0002545

Hi pengbo,

Good Evening...

Currently we are using 3.7.8 and getting "0000488: write on backend 0 failed with error :"Success" constantly even which was fixed it previous releases.Not able to share the reproduce steps.

Finally , we are planning to migrating to new stable version, could you please help us to choose the current stable release 4.0.2 or 4.0.4?

Thanks for your support, hopping to see prompt response.

pengbo

2019-04-15 09:17

developer   ~0002546

> Finally , we are planning to migrating to new stable version, could you please help us to choose the current stable release 4.0.2 or 4.0.4?

Please use the latest version 4.0.4.
https://pgpool.net/mediawiki/index.php/Downloads

mnieva

2019-05-04 04:12

reporter   ~0002580

Hi Siva,

Did you upgrade pgpool to the latest version? Are you still getting the same error? We too are seeing the same issue. We are using version 3.7.4.

Issue History

Date Modified Username Field Change
2019-03-30 23:03 siva New Issue
2019-03-30 23:03 siva File Added: write on backend 0 failed with error.JPG
2019-04-01 16:34 administrator Assigned To => pengbo
2019-04-01 16:34 administrator Status new => assigned
2019-04-01 16:34 administrator Description Updated View Revisions
2019-04-01 16:56 pengbo Note Added: 0002494
2019-04-02 14:17 siva Note Added: 0002499
2019-04-03 19:26 siva Note Added: 0002513
2019-04-04 14:33 pengbo Note Added: 0002516
2019-04-04 14:33 pengbo Note Edited: 0002516 View Revisions
2019-04-04 15:19 siva Note Added: 0002517
2019-04-04 15:26 pengbo Note Added: 0002519
2019-04-05 22:23 siva Note Added: 0002525
2019-04-07 22:16 pengbo Status assigned => feedback
2019-04-12 19:55 siva Note Added: 0002545
2019-04-12 19:55 siva Status feedback => assigned
2019-04-15 09:17 pengbo Note Added: 0002546
2019-04-15 09:18 pengbo Status assigned => feedback
2019-05-04 04:12 mnieva Note Added: 0002580